<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabase..::.Open Method (String, SecondaryDatabaseConfig, Transaction)
SecondaryDatabase Class See Also Send Feedback

Instantiate a new SecondaryDatabase object, open the database represented by Filename and associate the database with the primary index. The file specified by Filename must exist.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public static SecondaryDatabase Open(
    	string Filename,
    	SecondaryDatabaseConfig cfg,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Shared Function Open ( _
    	Filename As String, _
    	cfg As SecondaryDatabaseConfig, _
    	txn As Transaction _
    ) As SecondaryDatabase

Visual C++

    public:
    static SecondaryDatabase^ Open(
    	String^ Filename,
    	SecondaryDatabaseConfig^ cfg,
    	Transaction^ txn
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file that will be used to back the database.

cfg
  Type: BerkeleyDB..::.SecondaryDatabaseConfig
  The database's configuration

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

A new, open database object

# Remarks

If AutoCommit is set, the operation will be implicitly transaction protected. Note that transactionally protected operations on a datbase object requires the object itself be transactionally protected during its open.

# See Also

SecondaryDatabase Class
Open Overload
BerkeleyDB Namespace